petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMHasCreateRestriction

does the DM object have a method of providing a restriction?

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMHasCreateRestriction(DM dm,PetscBool  *flg)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameter

flg -PETSC_TRUE if the DM has facilities for DMCreateRestriction().

### See Also

DMHasFunction(), DMCreateRestriction()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages